// Shared library of methods/data for entire extension.
raismth.LIB = {
    _FATAL : function(caller){
	return caller;
    },

    myDump: function(str) {
	if(raismth && raismth.debug||!raismth) dump(str);
    },

    myWrapper: function(doc) {
	return doc.defaultView.wrappedJSObject;
    },

    // Extension app singleton shortcut
    theApp: raismth,
	
    // XPCOM
    Cc: Components.classes,
    Ci: Components.interfaces,
    Cu: Components.utils,
};
